Search statements
curl --request POST \
--url https://api.the-juno.com/api/v1/public-api/xapi/.search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timestamp": {
"from": "2024-01-01T00:00:00.000Z",
"to": "2024-05-01T00:00:00.000Z"
},
"verb.id": "http://activitystrea.ms/schema/1.0/complete",
"object.id": "https://www.junojourney.com/units/64f0c0ffee0000000000000d",
"userId": "64f0c0ffee00000000000001"
}
}
'import requests
url = "https://api.the-juno.com/api/v1/public-api/xapi/.search"
payload = { "filters": {
"timestamp": {
"from": "2024-01-01T00:00:00.000Z",
"to": "2024-05-01T00:00:00.000Z"
},
"verb.id": "http://activitystrea.ms/schema/1.0/complete",
"object.id": "https://www.junojourney.com/units/64f0c0ffee0000000000000d",
"userId": "64f0c0ffee00000000000001"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
timestamp: {from: '2024-01-01T00:00:00.000Z', to: '2024-05-01T00:00:00.000Z'},
'verb.id': 'http://activitystrea.ms/schema/1.0/complete',
'object.id': 'https://www.junojourney.com/units/64f0c0ffee0000000000000d',
userId: '64f0c0ffee00000000000001'
}
})
};
fetch('https://api.the-juno.com/api/v1/public-api/xapi/.search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.the-juno.com/api/v1/public-api/xapi/.search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'timestamp' => [
'from' => '2024-01-01T00:00:00.000Z',
'to' => '2024-05-01T00:00:00.000Z'
],
'verb.id' => 'http://activitystrea.ms/schema/1.0/complete',
'object.id' => 'https://www.junojourney.com/units/64f0c0ffee0000000000000d',
'userId' => '64f0c0ffee00000000000001'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.the-juno.com/api/v1/public-api/xapi/.search"
payload := strings.NewReader("{\n \"filters\": {\n \"timestamp\": {\n \"from\": \"2024-01-01T00:00:00.000Z\",\n \"to\": \"2024-05-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\",\n \"object.id\": \"https://www.junojourney.com/units/64f0c0ffee0000000000000d\",\n \"userId\": \"64f0c0ffee00000000000001\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.the-juno.com/api/v1/public-api/xapi/.search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"timestamp\": {\n \"from\": \"2024-01-01T00:00:00.000Z\",\n \"to\": \"2024-05-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\",\n \"object.id\": \"https://www.junojourney.com/units/64f0c0ffee0000000000000d\",\n \"userId\": \"64f0c0ffee00000000000001\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.the-juno.com/api/v1/public-api/xapi/.search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"timestamp\": {\n \"from\": \"2024-01-01T00:00:00.000Z\",\n \"to\": \"2024-05-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\",\n \"object.id\": \"https://www.junojourney.com/units/64f0c0ffee0000000000000d\",\n \"userId\": \"64f0c0ffee00000000000001\"\n }\n}"
response = http.request(request)
puts response.read_body{
"dataLength": 50,
"data": [
{
"actor": {
"name": "Alex Morgan",
"account": {
"homePage": "https://your-company.the-juno.com"
},
"mbox": "alex.morgan@acme.com"
},
"context": {
"registration": "56ce3d60-5cfa-4bad-8dac-99c8567df3e9",
"contextActivities": {
"grouping": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]",
"parent": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]"
},
"extensions": "{\"https://www.junojourney.com/verbs/duration\":10787}"
},
"object": {
"id": "https://www.junojourney.com/units/64f0c0ffee0000000000000a",
"definition": {
"name": "{\"en-US\":\"Welcome to the company\"}",
"type": "http://adlnet.gov/expapi/activities/module",
"description": null,
"interactionType": null,
"target": null
}
},
"verb": {
"id": "http://activitystrea.ms/schema/1.0/consume",
"display": "{\"en-US\":\"consume\"}"
},
"timestamp": {
"value": "2024-01-02T13:48:32.298Z"
},
"result": null,
"userId": "64f0c0ffee00000000000001",
"tid": "64f0c0ffee00000000000002"
},
{
"actor": {
"name": "Alex Morgan",
"account": {
"homePage": "https://your-company.the-juno.com"
},
"mbox": "alex.morgan@acme.com"
},
"context": {
"registration": "56ce3d60-5cfa-4bad-8dac-99c8567df3e9",
"contextActivities": {
"grouping": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]",
"parent": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]"
},
"extensions": "{\"https://www.junojourney.com/verbs/duration\":20000}"
},
"object": {
"id": "https://www.junojourney.com/units/64f0c0ffee0000000000000b",
"definition": {
"name": "{\"en-US\":\"Get through your first day like a boss!\"}",
"type": "http://adlnet.gov/expapi/activities/module",
"description": null,
"interactionType": null,
"target": null
}
},
"verb": {
"id": "http://activitystrea.ms/schema/1.0/consume",
"display": "{\"en-US\":\"consume\"}"
},
"timestamp": {
"value": "2024-01-02T13:48:52.631Z"
},
"result": null,
"userId": "64f0c0ffee00000000000001",
"tid": "64f0c0ffee00000000000002"
}
]
}xAPI
Search statements
deprecated
Deprecated: use List statements. Requires the xapi:read scope.
Returns up to 10,000 statements per request (limit is ignored); use skip to page.
POST
/
api
/
v1
/
public-api
/
xapi
/
.search
Search statements
curl --request POST \
--url https://api.the-juno.com/api/v1/public-api/xapi/.search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timestamp": {
"from": "2024-01-01T00:00:00.000Z",
"to": "2024-05-01T00:00:00.000Z"
},
"verb.id": "http://activitystrea.ms/schema/1.0/complete",
"object.id": "https://www.junojourney.com/units/64f0c0ffee0000000000000d",
"userId": "64f0c0ffee00000000000001"
}
}
'import requests
url = "https://api.the-juno.com/api/v1/public-api/xapi/.search"
payload = { "filters": {
"timestamp": {
"from": "2024-01-01T00:00:00.000Z",
"to": "2024-05-01T00:00:00.000Z"
},
"verb.id": "http://activitystrea.ms/schema/1.0/complete",
"object.id": "https://www.junojourney.com/units/64f0c0ffee0000000000000d",
"userId": "64f0c0ffee00000000000001"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
timestamp: {from: '2024-01-01T00:00:00.000Z', to: '2024-05-01T00:00:00.000Z'},
'verb.id': 'http://activitystrea.ms/schema/1.0/complete',
'object.id': 'https://www.junojourney.com/units/64f0c0ffee0000000000000d',
userId: '64f0c0ffee00000000000001'
}
})
};
fetch('https://api.the-juno.com/api/v1/public-api/xapi/.search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.the-juno.com/api/v1/public-api/xapi/.search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'timestamp' => [
'from' => '2024-01-01T00:00:00.000Z',
'to' => '2024-05-01T00:00:00.000Z'
],
'verb.id' => 'http://activitystrea.ms/schema/1.0/complete',
'object.id' => 'https://www.junojourney.com/units/64f0c0ffee0000000000000d',
'userId' => '64f0c0ffee00000000000001'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.the-juno.com/api/v1/public-api/xapi/.search"
payload := strings.NewReader("{\n \"filters\": {\n \"timestamp\": {\n \"from\": \"2024-01-01T00:00:00.000Z\",\n \"to\": \"2024-05-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\",\n \"object.id\": \"https://www.junojourney.com/units/64f0c0ffee0000000000000d\",\n \"userId\": \"64f0c0ffee00000000000001\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.the-juno.com/api/v1/public-api/xapi/.search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"timestamp\": {\n \"from\": \"2024-01-01T00:00:00.000Z\",\n \"to\": \"2024-05-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\",\n \"object.id\": \"https://www.junojourney.com/units/64f0c0ffee0000000000000d\",\n \"userId\": \"64f0c0ffee00000000000001\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.the-juno.com/api/v1/public-api/xapi/.search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"timestamp\": {\n \"from\": \"2024-01-01T00:00:00.000Z\",\n \"to\": \"2024-05-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\",\n \"object.id\": \"https://www.junojourney.com/units/64f0c0ffee0000000000000d\",\n \"userId\": \"64f0c0ffee00000000000001\"\n }\n}"
response = http.request(request)
puts response.read_body{
"dataLength": 50,
"data": [
{
"actor": {
"name": "Alex Morgan",
"account": {
"homePage": "https://your-company.the-juno.com"
},
"mbox": "alex.morgan@acme.com"
},
"context": {
"registration": "56ce3d60-5cfa-4bad-8dac-99c8567df3e9",
"contextActivities": {
"grouping": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]",
"parent": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]"
},
"extensions": "{\"https://www.junojourney.com/verbs/duration\":10787}"
},
"object": {
"id": "https://www.junojourney.com/units/64f0c0ffee0000000000000a",
"definition": {
"name": "{\"en-US\":\"Welcome to the company\"}",
"type": "http://adlnet.gov/expapi/activities/module",
"description": null,
"interactionType": null,
"target": null
}
},
"verb": {
"id": "http://activitystrea.ms/schema/1.0/consume",
"display": "{\"en-US\":\"consume\"}"
},
"timestamp": {
"value": "2024-01-02T13:48:32.298Z"
},
"result": null,
"userId": "64f0c0ffee00000000000001",
"tid": "64f0c0ffee00000000000002"
},
{
"actor": {
"name": "Alex Morgan",
"account": {
"homePage": "https://your-company.the-juno.com"
},
"mbox": "alex.morgan@acme.com"
},
"context": {
"registration": "56ce3d60-5cfa-4bad-8dac-99c8567df3e9",
"contextActivities": {
"grouping": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]",
"parent": "[{\"definition\":{\"description\":{},\"name\":{\"en-US\":\"Welcome to the company\"},\"type\":\"http://adlnet.gov/expapi/activities/course\"},\"id\":\"https://www.junojourney.com/units/64f0c0ffee00000000000009\"}]"
},
"extensions": "{\"https://www.junojourney.com/verbs/duration\":20000}"
},
"object": {
"id": "https://www.junojourney.com/units/64f0c0ffee0000000000000b",
"definition": {
"name": "{\"en-US\":\"Get through your first day like a boss!\"}",
"type": "http://adlnet.gov/expapi/activities/module",
"description": null,
"interactionType": null,
"target": null
}
},
"verb": {
"id": "http://activitystrea.ms/schema/1.0/consume",
"display": "{\"en-US\":\"consume\"}"
},
"timestamp": {
"value": "2024-01-02T13:48:52.631Z"
},
"result": null,
"userId": "64f0c0ffee00000000000001",
"tid": "64f0c0ffee00000000000002"
}
]
}Authorizations
Personal access token. Create one in Admin → Security → Developer Settings → Generate Personal Access Token.
Body
application/json
MongoDB-style filters. The endpoint description lists the supported fields.
Number of results to skip before returning.
Required range:
x >= 0MongoDB-style sort, for example { "createdAt": -1 }.
Fields to return, MongoDB projection style, for example { "primaryEmail": 1 }.
Was this page helpful?

